Tutorials
=========

This page lists the available tutorials for libpointmatcher. The [Beginner Section](#beginner) is aimed at the more casual user and contains high-level information on the various steps of point cloud registration. The [Advanced Section](#advanced) is targeted at those with existing experience with point cloud registration and proficiency in C++ development.  Those who wish to contribute to libpointmatcher can follow the guidelines in the [Developer](#developer) section.

Beginner<a name="beginner"></a>
---------

- [What can I do with libpointmatcher](ApplicationsAndPub.md)
- [Ubuntu: How to compile libpointmatcher](Compilation.md)
- [Windows: How to compile libpointmatcher](CompilationWindows.md)
- [Mac OS X: How to compile libpointmatcher](CompilationMac.md)
- [What the different data filters do?](Datafilters.md)
- [Example: applying a chain of data filters](ApplyingDatafilters.md)
- [Example: An introduction to ICP](ICPIntro.md)
- [The ICP chain configuration and its variants](DefaultICPConfig.md)
- [Configuring libpointmatcher using YAML](Configuration.md)
- [Supported file types and importing/exporting point clouds](ImportExport.md)

Advanced<a name="advanced"></a>
-------
- [How to link a project to libpointmatcher](LinkingProjects.md)
- [How are point clouds represented?](Pointclouds.md)
- [Example: Writing a program which performs ICP](BasicRegistration.md)
- [How to move a point cloud using a rigid transformation?](Transformations.md)

Developer<a name="developer"></a>
---------
- [Creating a DataPointsFilter](DataPointsFilterDev.md)
- [Creating a Transformation](TransformationDev.md)
- [Creating unit tests](UnitTestDev.md)

**Note**: if you don't find what you need, don't hesitate to propose or participate to new tutorials. 
